Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.machinereassignment.domain
Class MrService

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.machinereassignment.domain.MrService

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class MrService

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`MrService()`

Method Summary
`List<MrService>` | `getFromDependencyServiceList()`
`int` | `getLocationSpread()`
`List<MrService>` | `getToDependencyServiceList()`
`void` | `setFromDependencyServiceList(List<MrService> fromDependencyServiceList)`
`void` | `setLocationSpread(int locationSpread)`
`void` | `setToDependencyServiceList(List<MrService> toDependencyServiceList)`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MrService

    public MrService()

Method Detail

### getToDependencyServiceList

    public List<MrService> getToDependencyServiceList()

### setToDependencyServiceList

    public void setToDependencyServiceList(List<MrService> toDependencyServiceList)

### getFromDependencyServiceList

    public List<MrService> getFromDependencyServiceList()

### setFromDependencyServiceList

    public void setFromDependencyServiceList(List<MrService> fromDependencyServiceList)

### getLocationSpread

    public int getLocationSpread()

### setLocationSpread

    public void setLocationSpread(int locationSpread)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.